--------------------------------------------------------------------------------
-- Notification frame building function.
--------------------------------------------------------------------------------

function display_notification(text, horizontal_padding, horizontal_offset, red, green, blue, alpha)
   local context = UI.CreateContext("rarenerd_context")
   local bar = UI.CreateFrame("Frame", "Bar", context)
      bar:SetVisible(false)
      bar.solid = UI.CreateFrame("Frame", "Solid", bar)
      bar.text = UI.CreateFrame("Text", "Text", bar)
      bar.time = Inspect.Time.Real()
      bar.text:SetFontSize(40)
      bar.text:SetText(text)
      bar.text:SetFontColor(1, 0, 0, 1)
      bar.text:SetPoint("CENTER", bar.solid, "CENTER", 0, 25)
      bar.solid:SetLayer(-1)
      bar.solid:SetPoint("TOPLEFT", bar, "TOPLEFT", 0, 25)
      bar.solid:SetBackgroundColor(0, 0, 0, 0)
      bar:SetPoint("TOPCENTER", UIParent, "TOPCENTER", 0, 50)
      bar:SetVisible(true)
   return bar
end
